RDKit::MolStandardize::LargestFragmentChooser Class Reference

`#include <Fragment.h>`

## Classes

struct | Largest

## Public Member Functions

| LargestFragmentChooser (bool prefer_organic=false)
| LargestFragmentChooser (const LargestFragmentChooser &other)
| ~LargestFragmentChooser ()=default
ROMol * | choose (const ROMol &mol)

## Detailed Description

Definition at line 73 of file Fragment.h.

## Constructor & Destructor Documentation

## LargestFragmentChooser() [1/2]

RDKit::MolStandardize::LargestFragmentChooser::LargestFragmentChooser | ( | bool | prefer_organic = `false` | ) |

inline

Definition at line 76 of file Fragment.h.

## LargestFragmentChooser() [2/2]

RDKit::MolStandardize::LargestFragmentChooser::LargestFragmentChooser | ( | const LargestFragmentChooser & | other | ) |

## ~LargestFragmentChooser()

RDKit::MolStandardize::LargestFragmentChooser::~LargestFragmentChooser | ( |  | ) |

default

## Member Function Documentation

## choose()

ROMol* RDKit::MolStandardize::LargestFragmentChooser::choose | ( | const ROMol & | mol | ) |

The documentation for this class was generated from the following file:

- Fragment.h